package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 基层医院诊断信息表
 * </p>
 *
 * @author dsYun
 * @since 2024-08-01
 */
@Getter
@Setter
public class KlDiagHospital implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 编码类型
     */
    private String disType;

    /**
     * 医院诊断编码
     */
    private String disCode;

    /**
     * 诊断名称
     */
    private String disName;

    /**
     * 国家诊断编码
     */
    private String countryCode;

    /**
     * 国家诊断名称
     */
    private String countryName;

}
