package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.*;
import com.diagbot.entity.KlConcept;
import com.diagbot.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 概念表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlConceptMapper extends BaseMapper<KlConcept> {

    List<IndexDTO> index(MedRetrievalVO medRetrievalVO);

    List<IndexBatchDTO> indexByApproval(IndexByApprovalVO indexByApprovalVO);

    List<StaticKnowledgeIndexDTO> staticIndex(StaticKnowledgeIndexVO staticKnowledgeIndexVO);

    List<ClassicCaseIndexDTO> caseIndex(StaticKnowledgeIndexVO staticKnowledgeIndexVO);

    List<KllisDetailDTO> getLisDetaisByNames(KllisDetailVO kllisDetailVO);

    List<GetAllForRelationDTO> searchByTypeAndName(SearchConceptVO searchConceptVO);

    List<GetAllForRelationDTO> searchByTypeAndNameAdd(SearchConceptVO searchConceptVO);

    List<GetAllForRelationDTO> searchCollectionConcept(SearchCollectionConceptVO searchCollectionConceptVO);

    IPage<DiseaseIndexDTO> findDiseaeByCode(@Param("diseaseIndexPageVO") DiseaseIndexPageVO diseaseIndexPageVO);

    IPage<DiseaseIndexDTO> diseaseIndex(@Param("diseaseIndexPageVO") DiseaseIndexPageVO diseaseIndexPageVO);
}
