package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.*;
import com.diagbot.entity.KlRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.KlRuleByIdVO;
import com.diagbot.vo.KlRuleInfoVO;
import com.diagbot.vo.RuleBaseQueryVO;
import com.diagbot.vo.RuleQueryVO;

import java.util.List;

/**
 * <p>
 * 规则信息表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlRuleMapper extends BaseMapper<KlRule> {

    List<RuleDTO> getAllRule();

    IPage<KlRuleInfoDTO> getKlRuleInfoPage(KlRuleInfoVO klRuleInfoVO);

    List<KlRuleByIdDTO> getByIdRuleInfo(KlRuleByIdVO klRuleByIdVO);

    List<IndicationExportDTO> exportIndication();

    List<RuleInitDTO> getRuleInitDTO();

    List<RuleConditionInitDTO> getRuleConditionInitDTO();

    List<RuleBaseInitDTO> getRuleBaseInitDTO();

    List<RuleInitDTO> getRuleInitDTONotHaveClass();

    List<RuleInitDTO> getRuleInitDTOHaveClass();

    IPage<RuleQueryDTO> getRulePage(RuleQueryVO ruleQueryVO);

    List<RuleBaseInitDTO> getRuleBaseInitDTONotHaveClass();

    List<RuleBaseInitDTO> getRuleBaseInitDTOHaveClass();

    List<RuleIdDTO> getRuleNotHaveClass(RuleBaseQueryVO ruleBaseQueryVO);

    List<RuleIdDTO> getRuleHaveClass(RuleBaseQueryVO ruleBaseQueryVO);
}
