package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.*;
import com.diagbot.entity.KlRule;
import com.diagbot.vo.KlRuleByIdVO;
import com.diagbot.vo.KlRuleInfoVO;
import com.diagbot.vo.RuleBaseQueryVO;
import com.diagbot.vo.RuleQueryVO;

import java.util.List;

/**
 * <p>
 * 规则信息表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlRuleService extends IService<KlRule> {
    List<RuleDTO> getAllRule();
    IPage<KlRuleInfoDTO> getKlRuleInfoPages(KlRuleInfoVO klRuleInfoVO);
    List<KlRuleByIdDTO> getByIdRuleInfo(KlRuleByIdVO klRuleByIdVO);
    List<IndicationExportDTO> exportIndication();

    List<RuleInitDTO> getRuleInitDTO();

    List<RuleConditionInitDTO> getRuleConditionInitDTO();

    List<RuleBaseInitDTO> getRuleBaseInitDTO();

    List<RuleInitDTO> getRuleInitDTONotHaveClass();

    List<RuleInitDTO> getRuleInitDTOHaveClass();

    IPage<RuleQueryDTO> getRulePage(RuleQueryVO queryVO);

    List<RuleBaseInitDTO> getRuleBaseInitDTONotHaveClass();

    List<RuleBaseInitDTO> getRuleBaseInitDTOHaveClass();

    List<RuleIdDTO> getRuleNotHaveClass(RuleBaseQueryVO ruleBaseQueryVO);

    List<RuleIdDTO> getRuleHaveClass(RuleBaseQueryVO ruleBaseQueryVO);
}
