package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.KlClassicCase;
import com.diagbot.entity.KlClassicCaseInfo;
import com.diagbot.entity.wrapper.MappingConfigWrapper;
import com.diagbot.mapper.KlClassicCaseInfoMapper;
import com.diagbot.mapper.KlClassicCaseMapper;
import com.diagbot.service.KlClassicCaseInfoService;
import com.diagbot.service.KlClassicCaseService;
import com.diagbot.vo.MappingConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 经典病例表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-06-15
 */
@Service
public class KlClassicCaseInfoServiceImpl extends ServiceImpl<KlClassicCaseInfoMapper, KlClassicCaseInfo> implements KlClassicCaseInfoService {
    @Autowired
    KlClassicCaseInfoMapper klClassicCaseInfoMapper;
    /**
     * 查询病例信息
     *
     * @param ids
     * @return
     */
    @Override
    public List<KlClassicCaseInfo> listInfo(@Param("conceptIds") List<Long> ids) {
        return klClassicCaseInfoMapper.listInfo(ids);
    }

    @Override
    public KlClassicCaseInfo getOneCase(@Param("conceptId") Long conceptId) {
        return klClassicCaseInfoMapper.getOneCase(conceptId);
    }
}
